webpackJsonp([33],{43:function(n,e){n.exports="## What's Omi \uff1f\n\nOmi (pronounced /\u02c8om\u026a/) is cross-frameworks framework base on WebComponents and JSX/TSX.\n\n<em> Omi looks really neat!<br> </em>\n\u3000\u3000\u3000\u3000\u2014 [Jason Miller (Creator of Preact)](https://twitter.com/_developit/)\n\n<em> I really like the trend towards \"frameworks\" that:<br><br>\"export default class WeElement extends HTMLElement {..}\"<br> <br>This one, Omi, is from Tencent.</em>       \n\u3000\u3000\u3000\u3000\u2014 [Dion Almaer](https://twitter.com/dalmaer/)\n\n## Add Omi in One Minute\n\n```jsx {8-11}\nimport { render, WeElement, define } from 'omi'\n\ndefine('my-counter', class extends WeElement {\n  data = {\n    count: 1\n  }\n\n  static css = `\n    span{\n        color: red;\n    }`\n\n  sub = () => {\n    this.data.count--\n    this.update()\n  }\n\n  add = () => {\n    this.data.count++\n    this.update()\n  }\n\n  render() {\n    return (\n      <div>\n        <button onClick={this.sub}>-</button>\n        <span>{this.data.count}</span>\n        <button onClick={this.add}>+</button>\n      </div>\n    )\n  }\n})\n\nrender(<my-counter />, 'body')\n```\n\nYou can also use `my-counter` tag directly in HTML\uff1a\n\n```jsx\n<body>\n  <my-counter></my-counter>\n</body>\n```\n\nLooking at the highlighted part above, you can style the components. For example, the scope of the span above is only within the components, and it does not pollute other components. So far you have successfully started Omi! You learned:\n\n* Add **structure** for components, such as JSX writing structure above\n* Add **behavior** to the component, such as the `onClick` binding event above\n* Add **style** to the component, such as `static css` above\n* Rendering components to body, of course, can also render components to any other component\n\n## Define Button Element using TypeScript\n\n```ts\nimport { tag, WeElement, h, extractClass } from 'omi'\nimport * as css from './index.scss'\n\ninterface Props {\n  size?: 'medium' | 'small' | 'mini',\n  type?: 'primary' | 'success' | 'warning' | 'danger' | 'info' | 'text'\n  plain?: boolean,\n  round?: boolean,\n  circle?: boolean,\n  loading?: boolean,\n  disabled?: boolean,\n  icon?: string,\n  autofocus?: boolean,\n  nativeType?: 'button' | 'submit' | 'reset',\n  block?: boolean\n  text?: string\n}\n\n@tag('o-button')\nexport default class Button extends WeElement<Props>{\n  static css = css\n\n  static defaultProps = {\n    plain: false,\n    round: false,\n    circle: false,\n    loading: false,\n    disabled: false,\n    autofocus: false,\n    nativeType: 'button',\n    block: false\n  }\n\n  static propTypes = {\n    size: String,\n    type: String,\n    plain: Boolean,\n    round: Boolean,\n    circle: Boolean,\n    loading: Boolean,\n    disabled: Boolean,\n    icon: String,\n    autofocus: Boolean,\n    nativeType: String,\n    block: Boolean,\n    text: String\n  }\n\n  render(props) {\n    return <button disabled={props.disabled} {...extractClass(props, 'o-button', {\n      ['o-button-' + props.type]: props.type,\n      ['o-button-' + props.size]: props.size,\n      'is-plain': props.plain,\n      'is-round': props.round,\n      'is-circle': props.circle,\n      'is-disabled': props.disabled,\n      'is-block': props.block\n    })} type={props.nativeType} >\n      {props.loading && <i class='icon-loading'></i>}\n      {props.text}\n      <slot></slot>\n    </button>\n  }\n}\n```\n\nGetting started, Congratulations!\n"}});
//# sourceMappingURL=33.f394cd35.chunk.js.map